wrong Thunderbird setup file distributed

RESOLVED INVALID

Status

Thunderbird
Untriaged
RESOLVED INVALID
6 months ago
3 months ago

People

(Reporter: Lu Wei, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 months ago
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:52.0) Gecko/20100101 Firefox/52.0
Build ID: 20170323110425

Steps to reproduce:

download Thunderbird:
 (javascript enabled) 
type in www.mozillamessaging.org 
redirected to https://www.mozilla.org/en-US/thunderbird/
click "free download" button (link is https://download.mozilla.org/?product=thunderbird-52.0.1-SSL&os=win&lang=en-US)


Actual results:

pops up a download "Thunderbird Setup 38.5.0.exe"



Expected results:

Should download 52 version

Comment 1

6 months ago
Not really, I get https://download.mozilla.org/?product=thunderbird-52.0.1-SSL&os=win&lang=en-US.

Which locale are you in. Andrei, can you please take a look here.
Flags: needinfo?(sancus)
It's offering this version because the user agent is for Windows XP (Windows NT 5.1).

TB52 supports XP right?
Flags: needinfo?(sancus)
Status: UNCONFIRMED → NEW
Ever confirmed: true
We need to offer 38.5.0 to XP users because it's the last version that supports SP2. There's no way to distinguish SP2 vs SP3 by useragent(as far as I know) for the website, and so updating past 38.5.0 is left to the client's updater if need be.

In short this is working correctly, if we offer a more up-to-date version it would provide an installer that simply won't work on some versions of XP.
Status: NEW → RESOLVED
Last Resolved: 6 months ago
Resolution: --- → INVALID
(Reporter)

Comment 4

6 months ago
Thanks for the explanation. Now I have another problem about distribution: My TB52.0b4 receives update notification of 53, but 53 is not for my XPsp3 (I once updated and cannot start TB). This is another problem but I am just lazy to open another bug. :)
Thanks, I filed https://bugzilla.mozilla.org/show_bug.cgi?id=1357971

Versions of TB past 52 won't support XP any longer and the beta channel shouldn't be updating XP users.
Duplicate of this bug: 1384597
You need to log in before you can comment on or make changes to this bug.